# class Exception

### Public Class Methods

yaml_new( klass, tag, val ) click to toggle source

    # File lib/syck/rubytypes.rb, line 123
    def Exception.yaml_new( klass, tag, val )
        o = klass.allocate
        Exception.instance_method(:initialize).bind(o).call(val.delete('message'))
        val.each_pair do |k,v|
            o.instance_variable_set("@#{k}", v)
        end
        o
    end

### Public Instance Methods

to_yaml( opts = {} ) click to toggle source
Calls superclass method Object#to_yaml

    # File lib/syck/rubytypes.rb, line 131
    def to_yaml( opts = {} )
    return super unless YAML == Syck
            Syck::quick_emit( self, opts ) do |out|
        out.map( taguri, to_yaml_style ) do |map|
            map.add( 'message', message )
                            to_yaml_properties.each do |m|
                map.add( m[1..-1], instance_variable_get( m ) )
            end
        end
    end
    end